' Doc2Txt.vbs
'
' Converts <input file> from a Word document to text file and
' saves the results to <output file>.  Requires Microsoft Word.
' 
' Usage:
'  WScript doc2txt.vbs <input file> <output file>
'
' Notes:
'  Office XP added some new options to the SaveAs command that
'  can be used to make Word perform word wrapping.  Use the 
'  first SaveAs line to do that.  By default it will word-wrap
'  at the same position as Word normally does;  to change that
'  add the "PageSetup" line and change 'X'.  The value is in
'  inches, and '5' is about 80 characters per line.

' WdSaveFormat constants, taken from the Word type library
Const wdFormatDocument			= 0 ' Word document
Const wdFormatTemplate			= 1 ' Word template
Const wdFormatText			= 2 ' ANSI text without formatting
Const wdFormatTextLineBreaks		= 3 ' ANSI text with line breaks
Const wdFormatDOSText			= 4 ' OEM text without formatting
Const wdFormatDOSTextLineBreaks		= 5 ' OEM text with line breaks
Const wdFormatRTF			= 6 ' RTF text with formatting
Const wdFormatUnicodeText		= 7 ' Unicode text without formatting

Dim oWord
Set oWord = CreateObject("Word.Application")
Dim oShape

On Error Resume Next

oWord.Documents.Open WScript.Arguments(0), False, True
If Err = 0 Then 
	With oWord.ActiveDocument
		For Each oShape In .Shapes
			oShape.ConvertToFrame
			Next
		'.PageSetup.PageWidth = 72*X
		'.SaveAs WScript.Arguments(1), wdFormatText, , , False, , , , , , , , True
		.SaveAs WScript.Arguments(1), wdFormatText, , , False
		.Close
	End With
End If

oWord.Quit
If (Err <> 0) and (Err.Description <> NULL) Then
	MsgBox Err.Description, vbExclamation, "Error"
	Err.Clear
End If